searchNodes=[{"ref":"Auth0Ex.html","title":"Auth0Ex","type":"module","doc":"Auth0Ex is an API client that supports both authentication and management API of Auth0. Auth0Ex has been built to mostly satisfy the need for calling various management API for the backend services."},{"ref":"Auth0Ex.Api.html","title":"Auth0Ex.Api","type":"module","doc":"The main API module supposed to be used by individual authentication and management API modules Example Usage would look something like below: use Auth0Ex.Api use Auth0Ex.Api, for: :mgmt"},{"ref":"Auth0Ex.Authentication.html","title":"Auth0Ex.Authentication","type":"module","doc":"A module with various functions related to authentication api for Auth0. Unlike the management API code, most of the authentication code sit in this module as it makes sense for management API given the resourceful nature of each object but as useful for Authentication APIs."},{"ref":"Auth0Ex.Authentication.html#signup/4","title":"Auth0Ex.Authentication.signup/4","type":"function","doc":"Given a user&#39;s credentials, and a connection, this endpoint will create a new user using active authentication. This endpoint only works for database connections. iex&gt; Auth0Ex.Authentication.signup(&quot;client_id&quot;, &quot;samar@example.com&quot;, &quot;password&quot;, &quot;some-connection&quot;)"},{"ref":"Auth0Ex.Authentication.html#tokeninfo/1","title":"Auth0Ex.Authentication.tokeninfo/1","type":"function","doc":"This endpoint validates a JSON Web Token (signature and expiration) and returns the user information associated with the user id sub property of the token. iex&gt; Auth0Ex.Authentication.tokeninfo(&quot;sample.id_token.here&quot;)"},{"ref":"Auth0Ex.Authentication.html#userinfo/1","title":"Auth0Ex.Authentication.userinfo/1","type":"function","doc":"Given the Auth0 access token obtained during login, this endpoint returns a user&#39;s profile. This endpoint will work only if openid was granted as a scope for the access_token. iex&gt; Auth0Ex.Authentication.userinfo(&quot;sample.access_token.here&quot;)"},{"ref":"Auth0Ex.Authentication.Login.html","title":"Auth0Ex.Authentication.Login","type":"module","doc":"A module that handles login stuff for authentication API"},{"ref":"Auth0Ex.Authentication.Login.html#database/6","title":"Auth0Ex.Authentication.Login.database/6","type":"function","doc":"Given the user credentials and the connection specified, it will do the authentication on the provider and return a JSON with the access_token and id_token. You can pass optional parameters as a map in the last params argument. An example params map would be: %{scope: &quot;openid app_metadata&quot;} %{device: &quot;ios&quot;, id_token: &quot;id_token_touchid&quot;} iex&gt; Auth0Ex.Authentication.Login.database(&quot;client_id&quot;, &quot;samar&quot;, &quot;samarpwd&quot;, &quot;dev&quot;, &quot;password&quot;) iex&gt; Auth0Ex.Authentication.Login.database(&quot;client_id&quot;, &quot;samar&quot;, &quot;samarpwd&quot;, &quot;dev&quot;, &quot;password&quot;, %{scope: &quot;openid app_metadata&quot;})"},{"ref":"Auth0Ex.Authentication.Login.html#social/4","title":"Auth0Ex.Authentication.Login.social/4","type":"function","doc":"Given the social provider&#39;s access_token and the connection, this endpoint will authenticate the user with the provider and return a JSON with the access_token and, optionally, an id_token. This endpoint only works for Facebook, Google, Twitter and Weibo. iex&gt; Auth0Ex.Authentication.Login.social(&quot;client_id&quot;, &quot;access_token&quot;, &quot;facebook&quot;) iex&gt; Auth0Ex.Authentication.Login.social(&quot;client_id&quot;, &quot;access_token&quot;, &quot;facebook&quot;, &quot;openid profile email&quot;)"},{"ref":"Auth0Ex.Authentication.Token.html","title":"Auth0Ex.Authentication.Token","type":"module","doc":"A moodule for getting tokens for authentication. This is the module that gives you auth codes and client credentials. More information at this page"},{"ref":"Auth0Ex.Authentication.Token.html#auth_code/4","title":"Auth0Ex.Authentication.Token.auth_code/4","type":"function","doc":"This is the OAuth 2.0 grant that regular web apps utilize in order to access an API. Use this endpoint to exchange an Authorization Code for a Token. iex&gt; Auth0Ex.Authentication.Token.auth_code(&quot;client_id&quot;, &quot;client_secret&quot;, &quot;code&quot;) iex&gt; Auth0Ex.Authentication.Token.auth_code(&quot;client_id&quot;, &quot;client_secret&quot;, &quot;code&quot;, &quot;redirect_uri_here&quot;)"},{"ref":"Auth0Ex.Authentication.Token.html#auth_code_pkce/5","title":"Auth0Ex.Authentication.Token.auth_code_pkce/5","type":"function","doc":"This is the OAuth 2.0 grant that mobile apps utilize in order to access an API. Use this endpoint to exchange an Authorization Code for a Token. iex&gt; Auth0Ex.Authentication.Token.auth_code_pkce(&quot;client_id&quot;, &quot;client_secret&quot;, &quot;code&quot;, &quot;code_verifier&quot;) iex&gt; Auth0Ex.Authentication.Token.auth_code_pkce(&quot;client_id&quot;, &quot;client_secret&quot;, &quot;code&quot;, &quot;code_verifier&quot;, &quot;redirect_uri_here&quot;)"},{"ref":"Auth0Ex.Authentication.Token.html#client_credentials/3","title":"Auth0Ex.Authentication.Token.client_credentials/3","type":"function","doc":"This is the OAuth 2.0 grant that server processes utilize in order to access an API. Use this endpoint to directly request an access_token by using the Client Credentials (a Client Id and a Client Secret). iex&gt; Auth0Ex.Authentication.Token.client_credentials(&quot;client_id&quot;, &quot;client_secret&quot;, &quot;API_IDENTIFIER_aud&quot;)"},{"ref":"Auth0Ex.Management.Blacklist.html","title":"Auth0Ex.Management.Blacklist","type":"module","doc":"A module representing blacklisted tokens on Auth0"},{"ref":"Auth0Ex.Management.Blacklist.html#blacklist/1","title":"Auth0Ex.Management.Blacklist.blacklist/1","type":"function","doc":"Adds the token identified by the jti to a blacklist for the tenant. iex&gt; Auth0Ex.Management.Blacklist.blacklist(aud: &quot;some_aud&quot;, jti: &quot;some_jti&quot;)"},{"ref":"Auth0Ex.Management.Blacklist.html#get/1","title":"Auth0Ex.Management.Blacklist.get/1","type":"function","doc":"Retrieves the jti and aud of all tokens in the blacklist. iex&gt; Auth0Ex.Management.Blacklist.get(&quot;some_aud&quot;)"},{"ref":"Auth0Ex.Management.Client.html","title":"Auth0Ex.Management.Client","type":"module","doc":"A module representing client on Auth0"},{"ref":"Auth0Ex.Management.Client.html#all/1","title":"Auth0Ex.Management.Client.all/1","type":"function","doc":"Gets all the clients iex&gt; Auth0Ex.Management.Client.all() iex&gt; Auth0Ex.Management.Client.all(fields: &quot;name,client_id&quot;)"},{"ref":"Auth0Ex.Management.Client.html#create/1","title":"Auth0Ex.Management.Client.create/1","type":"function","doc":"Creates a new Auth0 client from given body iex&gt; Auth0Ex.Management.Client.create(%{name: &quot;Samars App&quot;})"},{"ref":"Auth0Ex.Management.Client.html#delete/1","title":"Auth0Ex.Management.Client.delete/1","type":"function","doc":"Deletes the client with given client id iex&gt; Auth0Ex.Management.Client.delete(&quot;some_client_id&quot;)"},{"ref":"Auth0Ex.Management.Client.html#get/1","title":"Auth0Ex.Management.Client.get/1","type":"function","doc":"Gets the information for individual client iex&gt; Auth0Ex.Management.Client.get(&quot;some_id&quot;) iex&gt; Auth0Ex.Management.Client.get(&quot;some_id&quot;, [fields: &quot;id,client_id&quot;, include_fields: true])"},{"ref":"Auth0Ex.Management.Client.html#get/2","title":"Auth0Ex.Management.Client.get/2","type":"function","doc":""},{"ref":"Auth0Ex.Management.Client.html#rotate_secret/1","title":"Auth0Ex.Management.Client.rotate_secret/1","type":"function","doc":"Rotate a client secret for client with given ID iex&gt; Auth0Ex.Management.Client.rotate_secret(&quot;some_client_id&quot;)"},{"ref":"Auth0Ex.Management.Client.html#update/2","title":"Auth0Ex.Management.Client.update/2","type":"function","doc":"Updates Auth0 client of given ID with given body iex&gt; Auth0Ex.Management.Client.update(&quot;some_client_id&quot;, %{name: &quot;New Client Name&quot;})"},{"ref":"Auth0Ex.Management.ClientGrant.html","title":"Auth0Ex.Management.ClientGrant","type":"module","doc":"A module representing client_grant resource"},{"ref":"Auth0Ex.Management.ClientGrant.html#all/1","title":"Auth0Ex.Management.ClientGrant.all/1","type":"function","doc":"Gets all the client grants iex&gt; Auth0Ex.Management.ClientGrant.all() iex&gt; Auth0Ex.Management.ClientGrant.all(audience: &quot;aud&quot;)"},{"ref":"Auth0Ex.Management.ClientGrant.html#create/1","title":"Auth0Ex.Management.ClientGrant.create/1","type":"function","doc":"Creates a client grant iex&gt; Auth0Ex.Management.ClientGrant.create(%{client_id: &quot;client_id&quot;, audience: &quot;someaud&quot;, scope: []})"},{"ref":"Auth0Ex.Management.ClientGrant.html#delete/1","title":"Auth0Ex.Management.ClientGrant.delete/1","type":"function","doc":"Delete a client grant iex&gt; Auth0Ex.Management.ClientGrant.delete(&quot;client_grant_to_delete&quot;)"},{"ref":"Auth0Ex.Management.ClientGrant.html#update/2","title":"Auth0Ex.Management.ClientGrant.update/2","type":"function","doc":"Updates a client grant iex&gt; Auth0Ex.Management.ClientGrant.update(&quot;client_grant_to_update&quot;, %{scope: []})"},{"ref":"Auth0Ex.Management.Connection.html","title":"Auth0Ex.Management.Connection","type":"module","doc":"A module representing connection resource"},{"ref":"Auth0Ex.Management.Connection.html#all/1","title":"Auth0Ex.Management.Connection.all/1","type":"function","doc":"Gets all the connections iex&gt; Auth0Ex.Management.Connection.all() iex&gt; Auth0Ex.Management.Connection.all(%{name: &quot;some_name&quot;})"},{"ref":"Auth0Ex.Management.Connection.html#create/1","title":"Auth0Ex.Management.Connection.create/1","type":"function","doc":"Creates a new connection iex&gt; Auth0Ex.Management.Connection.create(%{name: &quot;some_name&quot;, strategy: &quot;email&quot;})"},{"ref":"Auth0Ex.Management.Connection.html#delete/1","title":"Auth0Ex.Management.Connection.delete/1","type":"function","doc":"Delete a connection iex&gt; Auth0Ex.Management.Connection.delete(&quot;some_conn_id&quot;)"},{"ref":"Auth0Ex.Management.Connection.html#delete_conn_user/2","title":"Auth0Ex.Management.Connection.delete_conn_user/2","type":"function","doc":"Delete a specified connection user by its email iex&gt; Auth0Ex.Management.Connection.delete_conn_user(&quot;some_conn_id&quot;, &quot;samar@example.com&quot;)"},{"ref":"Auth0Ex.Management.Connection.html#get/1","title":"Auth0Ex.Management.Connection.get/1","type":"function","doc":"Get a connection iex&gt; Auth0Ex.Management.Connection.get(&quot;some_conn_id&quot;) iex&gt; Auth0Ex.Management.Connection.get(&quot;some_conn_id&quot;, [fields: &quot;id,name&quot;])"},{"ref":"Auth0Ex.Management.Connection.html#get/2","title":"Auth0Ex.Management.Connection.get/2","type":"function","doc":""},{"ref":"Auth0Ex.Management.Connection.html#update/2","title":"Auth0Ex.Management.Connection.update/2","type":"function","doc":"Update a connection iex&gt; Auth0Ex.Management.Connection.update(&quot;some_conn_id&quot;, %{name: &quot;new name&quot;})"},{"ref":"Auth0Ex.Management.DeviceCredential.html","title":"Auth0Ex.Management.DeviceCredential","type":"module","doc":"A module representing device credential resource on Auth0"},{"ref":"Auth0Ex.Management.DeviceCredential.html#all/1","title":"Auth0Ex.Management.DeviceCredential.all/1","type":"function","doc":"Gets all the device credentials iex&gt; Auth0Ex.Management.DeviceCredential.all() iex&gt; Auth0Ex.Management.DeviceCredential.all(fields: &quot;id,device_name&quot;)"},{"ref":"Auth0Ex.Management.DeviceCredential.html#create/1","title":"Auth0Ex.Management.DeviceCredential.create/1","type":"function","doc":"Creates a device public key iex&gt; Auth0Ex.Management.DeviceCredential.create(%{device_name: &quot;adev&quot;})"},{"ref":"Auth0Ex.Management.DeviceCredential.html#delete/1","title":"Auth0Ex.Management.DeviceCredential.delete/1","type":"function","doc":"Deletes a device credential iex&gt; Auth0Ex.Management.DeviceCredential.delete(&quot;device_credential&quot;)"},{"ref":"Auth0Ex.Management.EmailProvider.html","title":"Auth0Ex.Management.EmailProvider","type":"module","doc":"A module representing emails resource on Auth0"},{"ref":"Auth0Ex.Management.EmailProvider.html#configure/1","title":"Auth0Ex.Management.EmailProvider.configure/1","type":"function","doc":"Configures the email provider iex&gt; Auth0Ex.Management.EmailProvider.configure(name: &quot;mandrill&quot;, enabled: true)"},{"ref":"Auth0Ex.Management.EmailProvider.html#delete/0","title":"Auth0Ex.Management.EmailProvider.delete/0","type":"function","doc":"Deletes the email provider iex&gt; Auth0Ex.Management.EmailProvider.delete()"},{"ref":"Auth0Ex.Management.EmailProvider.html#get/1","title":"Auth0Ex.Management.EmailProvider.get/1","type":"function","doc":"Gets the email provider iex&gt; Auth0Ex.Management.EmailProvider.get() iex&gt; Auth0Ex.Management.EmailProvider.get(fields: &quot;name,enabled&quot;)"},{"ref":"Auth0Ex.Management.EmailProvider.html#update/1","title":"Auth0Ex.Management.EmailProvider.update/1","type":"function","doc":"Updates the email provider iex&gt; Auth0Ex.Management.EmailProvider.update(name: &quot;new_name&quot;)"},{"ref":"Auth0Ex.Management.Log.html","title":"Auth0Ex.Management.Log","type":"module","doc":"A module represeting log resource on Auth0"},{"ref":"Auth0Ex.Management.Log.html#get/1","title":"Auth0Ex.Management.Log.get/1","type":"function","doc":"Get a log event by id"},{"ref":"Auth0Ex.Management.Log.html#search/1","title":"Auth0Ex.Management.Log.search/1","type":"function","doc":"Retrieve the log entries that match the specified criteria iex&gt; Auth0Ex.Management.Log.search(page: 1, fields: &quot;user_name&quot;)"},{"ref":"Auth0Ex.Management.ResourceServer.html","title":"Auth0Ex.Management.ResourceServer","type":"module","doc":"A module representing resource servers resource on Auth0"},{"ref":"Auth0Ex.Management.ResourceServer.html#all/0","title":"Auth0Ex.Management.ResourceServer.all/0","type":"function","doc":"Gets all the resource servers iex&gt; Auth0Ex.Management.ResourceServer.all"},{"ref":"Auth0Ex.Management.ResourceServer.html#create/1","title":"Auth0Ex.Management.ResourceServer.create/1","type":"function","doc":"Creates a resource server iex&gt; Auth0Ex.Management.ResourceServer.create(%{name: &quot;resserver&quot;})"},{"ref":"Auth0Ex.Management.ResourceServer.html#delete/1","title":"Auth0Ex.Management.ResourceServer.delete/1","type":"function","doc":"Deletes a resource server iex&gt; Auth0Ex.Management.ResourceServer.delete(&quot;resserver&quot;)"},{"ref":"Auth0Ex.Management.ResourceServer.html#get/1","title":"Auth0Ex.Management.ResourceServer.get/1","type":"function","doc":"Gets a resource server by ID iex&gt; Auth0Ex.Management.ResourceServer.get(&quot;resserver&quot;)"},{"ref":"Auth0Ex.Management.ResourceServer.html#update/2","title":"Auth0Ex.Management.ResourceServer.update/2","type":"function","doc":"Updates a resource server"},{"ref":"Auth0Ex.Management.Rule.html","title":"Auth0Ex.Management.Rule","type":"module","doc":"A module representing rule on Auth0"},{"ref":"Auth0Ex.Management.Rule.html#all/1","title":"Auth0Ex.Management.Rule.all/1","type":"function","doc":"Get all rules iex&gt; Auth0Ex.Management.Rule.all() iex&gt; Auth0Ex.Management.Rule.all(enabled: true, fields: &quot;id,name&quot;)"},{"ref":"Auth0Ex.Management.Rule.html#create/1","title":"Auth0Ex.Management.Rule.create/1","type":"function","doc":"Create a rule iex&gt; Auth0Ex.Management.Rule.create(%{name: &quot;some_rule&quot;, script: &quot;some_script_code&quot;})"},{"ref":"Auth0Ex.Management.Rule.html#delete/1","title":"Auth0Ex.Management.Rule.delete/1","type":"function","doc":"Deletes a rule iex&gt; Auth0Ex.Management.Rule.delete(&quot;some_rule&quot;)"},{"ref":"Auth0Ex.Management.Rule.html#get/1","title":"Auth0Ex.Management.Rule.get/1","type":"function","doc":"Get a rule iex&gt; Auth0Ex.Management.Rule.get(&quot;some_rule&quot;) iex&gt; Auth0Ex.Management.Rule.get(&quot;some_rule&quot;, fields: &quot;id,name&quot;)"},{"ref":"Auth0Ex.Management.Rule.html#get/2","title":"Auth0Ex.Management.Rule.get/2","type":"function","doc":""},{"ref":"Auth0Ex.Management.Rule.html#update/2","title":"Auth0Ex.Management.Rule.update/2","type":"function","doc":"Update a rule iex&gt; Auth0Ex.Management.Rule.update(&quot;some_rule&quot;, name: &quot;new_name&quot;)"},{"ref":"Auth0Ex.Management.Ticket.html","title":"Auth0Ex.Management.Ticket","type":"module","doc":"A module representing tickets on Auth0"},{"ref":"Auth0Ex.Management.Ticket.html#email_verification/2","title":"Auth0Ex.Management.Ticket.email_verification/2","type":"function","doc":"Create an email verification ticket iex&gt; Auth0Ex.Management.Ticket.email_verification(&quot;auth0|user_id&quot;, %{result_url: &quot;http://myapp.com/callback&quot;, ttl_sec: 0})"},{"ref":"Auth0Ex.Management.Ticket.html#password_change/1","title":"Auth0Ex.Management.Ticket.password_change/1","type":"function","doc":"Create a password change ticket iex&gt; Auth0Ex.Management.Ticket.password_change(%{result_url: &quot;http://myapp.com/callback&quot;})"},{"ref":"Auth0Ex.Management.User.html","title":"Auth0Ex.Management.User","type":"module","doc":"A module representing users on Auth0"},{"ref":"Auth0Ex.Management.User.html#all/1","title":"Auth0Ex.Management.User.all/1","type":"function","doc":"Gets all the users iex&gt; Auth0Ex.Management.User.all() iex&gt; Auth0Ex.Management.User.all(fields: &quot;name&quot;, q: &quot;app_metadata.admin:&#39;true&#39;&quot;)"},{"ref":"Auth0Ex.Management.User.html#create/2","title":"Auth0Ex.Management.User.create/2","type":"function","doc":"Creates a user for the specified connection iex&gt; Auth0Ex.Management.User.create(&quot;test_connection&quot;, %{email: &quot;test.user@email.com&quot;, username: &quot;test_user_name&quot;})"},{"ref":"Auth0Ex.Management.User.html#delete/1","title":"Auth0Ex.Management.User.delete/1","type":"function","doc":"Deletes a user with a give user id iex&gt; Auth0Ex.Management.User.delete(&quot;auth0|some_user_id&quot;)"},{"ref":"Auth0Ex.Management.User.html#delete_mfprovider/2","title":"Auth0Ex.Management.User.delete_mfprovider/2","type":"function","doc":"Deletes a user&#39;s multifactor provider iex&gt; Auth0Ex.Management.User.delete_mfprovider(&quot;auth0|23423&quot;, &quot;duo&quot;)"},{"ref":"Auth0Ex.Management.User.html#enrollments/1","title":"Auth0Ex.Management.User.enrollments/1","type":"function","doc":"Get all Guardain enrollments for given user_id iex&gt; Auth0Ex.Management.User.enrollments(&quot;auth0|234&quot;)"},{"ref":"Auth0Ex.Management.User.html#get/2","title":"Auth0Ex.Management.User.get/2","type":"function","doc":"Gets a specific user record with a given user id iex&gt; Auth0Ex.Management.User.get(&quot;auth0|some_user_id&quot;) iex&gt; Auth0Ex.Management.User.get(&quot;auth0|some_user_id&quot;, %{fields: &quot;email,name,username&quot;})"},{"ref":"Auth0Ex.Management.User.html#link/2","title":"Auth0Ex.Management.User.link/2","type":"function","doc":"Links the account specified in the body to the given user_id param iex&gt; Auth0Ex.Management.User.link(&quot;some_user_id&quot;, link_with: &quot;secondary_acc_jwt&quot;) iex&gt; Auth0Ex.Management.User.link(&quot;some_user_id&quot;, provider: &quot;github&quot;, user_id: &quot;23423&quot;, connection_id: &quot;som&quot;)"},{"ref":"Auth0Ex.Management.User.html#log/2","title":"Auth0Ex.Management.User.log/2","type":"function","doc":"Get a user&#39;s log iex&gt; Auth0Ex.Management.User.log(&quot;auth0|233423&quot;) iex&gt; Auth0Ex.Management.User.log(&quot;auth0|23423&quot;, page: 2, per_page: 10)"},{"ref":"Auth0Ex.Management.User.html#regenerate_recovery_code/1","title":"Auth0Ex.Management.User.regenerate_recovery_code/1","type":"function","doc":"Removes current Guardain recovery code and generates new one iex&gt; Auth0Ex.Management.User.regenerate_recovery_code(&quot;auth0|34234&quot;)"},{"ref":"Auth0Ex.Management.User.html#unlink/3","title":"Auth0Ex.Management.User.unlink/3","type":"function","doc":"Unlinks an identity from the target user, and it becomes a separated user again. iex&gt; Auth0Ex.Management.User.unlink(&quot;some_user_id&quot;, &quot;github&quot;, &quot;23984234&quot;)"},{"ref":"Auth0Ex.Management.User.html#update/2","title":"Auth0Ex.Management.User.update/2","type":"function","doc":"Updates a user&#39;s information given a user id iex&gt; Auth0Ex.Management.User.update(&quot;auth0|some_user_id&quot;, %{app_metadata: %{admin: false}})"},{"ref":"Auth0Ex.Management.UserBlock.html","title":"Auth0Ex.Management.UserBlock","type":"module","doc":"A module representing user blocks resource on Auth0"},{"ref":"Auth0Ex.Management.UserBlock.html#get/1","title":"Auth0Ex.Management.UserBlock.get/1","type":"function","doc":"Gets all user blocks for given identifier. Identifier should be any of: username, phone_number, email iex&gt; Auth0Ex.Management.UserBlock.get(&quot;some@example.com&quot;)"},{"ref":"Auth0Ex.Management.UserBlock.html#get_user_block/1","title":"Auth0Ex.Management.UserBlock.get_user_block/1","type":"function","doc":"Get a user&#39;s block iex&gt; Auth0Ex.Management.UserBlock.get_user_block(&quot;auth0|234234&quot;)"},{"ref":"Auth0Ex.Management.UserBlock.html#unblock/1","title":"Auth0Ex.Management.UserBlock.unblock/1","type":"function","doc":"Unblock a block by identifier iex&gt; Auth0Ex.Management.UserBlock.unblock(&quot;some@example.com&quot;)"},{"ref":"Auth0Ex.Management.UserBlock.html#unblock_user/1","title":"Auth0Ex.Management.UserBlock.unblock_user/1","type":"function","doc":"Unblock a user iex&gt; Auth0Ex.Management.UserBlock.unblock_user(&quot;auth0|2342&quot;)"},{"ref":"Auth0Ex.Parser.html","title":"Auth0Ex.Parser","type":"module","doc":"Parser to parse all the responses from Auth0 API endpoints"},{"ref":"Auth0Ex.Parser.html#parse/1","title":"Auth0Ex.Parser.parse/1","type":"function","doc":"Parses the response from auth0 api calls"},{"ref":"Auth0Ex.Parser.html#t:response/0","title":"Auth0Ex.Parser.response/0","type":"type","doc":""},{"ref":"Auth0Ex.Parser.html#t:status_code/0","title":"Auth0Ex.Parser.status_code/0","type":"type","doc":""},{"ref":"Auth0Ex.TokenState.html","title":"Auth0Ex.TokenState","type":"module","doc":"A simple Agent implementation to store the management token and potentially other stuff in future for management API"},{"ref":"Auth0Ex.Utils.html","title":"Auth0Ex.Utils","type":"module","doc":"Collection module of various utils needed for Auth0Ex"},{"ref":"Auth0Ex.Utils.html#base_url/0","title":"Auth0Ex.Utils.base_url/0","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#base_url/1","title":"Auth0Ex.Utils.base_url/1","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#custom_domain/0","title":"Auth0Ex.Utils.custom_domain/0","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#domain/0","title":"Auth0Ex.Utils.domain/0","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#http_opts/0","title":"Auth0Ex.Utils.http_opts/0","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#mgmt_token/0","title":"Auth0Ex.Utils.mgmt_token/0","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#oauth_url/0","title":"Auth0Ex.Utils.oauth_url/0","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#req_header/0","title":"Auth0Ex.Utils.req_header/0","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#req_header/1","title":"Auth0Ex.Utils.req_header/1","type":"function","doc":""},{"ref":"Auth0Ex.Utils.html#ua/0","title":"Auth0Ex.Utils.ua/0","type":"function","doc":""},{"ref":"readme.html","title":"Auth0Ex","type":"extras","doc":"Auth0Ex An elixir client library for Auth0"},{"ref":"readme.html#installation","title":"Auth0Ex - Installation","type":"extras","doc":"You can install the stable version from hex: def deps do [{:auth0_ex, &quot;~&gt; 0.3&quot;}] end You can use github repo as your package source to use the latest source code but beware it might have breaking and unstable code: def deps do [{:auth0_ex, github: &quot;techgaun/auth0_ex&quot;}] end Ensure auth0_ex is started before your application: def application do [applications: [:auth0_ex]] end"},{"ref":"readme.html#configuration","title":"Auth0Ex - Configuration","type":"extras","doc":"Add a configuration block like below: First option is to use management api client. You can create non-interactive client for management api as described HERE. Once you do that, you should be able to grab client ID and client secret from the setting page for use with Auth0Ex. This is a recommended setup as Auth0Ex can recreate new access_token when the current one expires. config :auth0_ex, domain: System.get_env(&quot;AUTH0_DOMAIN&quot;), mgmt_client_id: System.get_env(&quot;AUTH0_MGMT_CLIENT_ID&quot;), mgmt_client_secret: System.get_env(&quot;AUTH0_MGMT_CLIENT_SECRET&quot;), http_opts: [] Second option is to use pre-created token with access to management API. config :auth0_ex, domain: System.get_env(&quot;AUTH0_DOMAIN&quot;), mgmt_token: System.get_env(&quot;AUTH0_MGMT_TOKEN&quot;), http_opts: [] Notes The v2 search_engine API is being deprecated by Auth0. User queries now specify search_engine=v3 by default. If for some reason you need the v2 engine you can set v2_search: true in your config block. if you use pre-created management token, it will always be used for your requests_ AUTH0_DOMAIN should be entire tenant domain Auth0 provides. We fall back to adding auth0.com right now but that will be removed in future version. This allows us to use Auth0Ex in all tenant regions unlike the previous versions. If you don&#39;t want auth0.com to be added, you can set config :auth0_ex, custom_domain: true Export appropriate environment variable and you should be all set. Please refer to the documentation for more details. Authentication API In addition to the management API resources, there is also a support for most used authentication APIs. Authentication API will use the same domain config you specify in the config above. If you wish to use Auth0Ex for authentication APIs only, all you need to specify is domain in config."},{"ref":"readme.html#author","title":"Auth0Ex - Author","type":"extras","doc":"techgaun"}]